public class Compte_epargne extends Compte {
  static double somme_minimale;

  Compte_epargne(String nom, int numero, double n) throws MyExceptionCompte {
    super(nom, numero, n);
    if (montant < somme_minimale) {
      throw new MyExceptionCompte("montant < somme_minimale pour C.E.", this);
    }
  }

  //redfinition de la mthode retrait de la classe Compte
  public void retrait(String date,double somme) throws MyExceptionCompte {
    if ((montant - somme) < somme_minimale) {
      throw new MyExceptionCompte("montant insuffisant pour C.E.", this);
    } else {
      super.retrait(date,somme);
    }
  }

  //mthode de classe
  public static void fixe_somme_minimale(double somme) {
    somme_minimale = somme;
  }

  public String toString() {
    return super.toString() + ("\nJe suis un Compte Epargne");
  }
}
