import java.util.Vector;

public class Compte {
  //static int ident = 0;
  private String nomClient;
  protected double montant;
  int identifiant_client;
  Vector operations;

  Compte() {
  }

  Compte(String nom, int numero, double n) throws MyExceptionCompte {
    nomClient = nom;
    montant = n;
    identifiant_client = numero;
    operations = new Vector();
  }

  public String getNomClient() {
    return nomClient;
  }

  public double getMontant() {
    return montant;
  }

  public void deposer(String date,double somme) {
    montant = montant + somme;
    Operation o =new Operation(date,somme);
    operations.add(o);
  }

  public String toString() {
    String s="Mes caractristiques sont:" + "Nom: " + nomClient + "\nSolde: " + montant + "\nidentifiant: " + identifiant_client;
    for (int i=0;i<operations.size();i++){
      s+=operations.get(i).toString()+"\n";
    }
    return s;
  }

  public void write(java.io.DataOutputStream stream) throws java.io.IOException {
    stream.writeInt(identifiant_client);
    stream.writeChars(nomClient);
    stream.writeDouble(montant);
    for (int i=0;i<operations.size();i++){
      ((Operation)operations.get(i)).write(stream);
    }
   }



  public void retrait(String date,double somme) throws MyExceptionCompte {
    montant -= somme;
    operations.add(new Operation(date,somme));
  }
}
